CVE-2015-5191

NameCVE-2015-5191
DescriptionVMware Tools prior to 10.0.9 contains multiple file system races in libDeployPkg, related to the use of hard-coded paths under /tmp. Successful exploitation of this issue may result in a local privilege escalation. CVSS:3.0/AV:L/AC:H/PR:L/UI:R/S:U/C:H/I:H/A:H
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow (attack range: local)
Debian Bugs869633

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
open-vm-tools (PTS)jessie2:9.4.6-1770165-8fixed
stretch2:10.1.5-5055683-4+deb9u1fixed
buster, sid2:10.3.5-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
open-vm-toolssource(unstable)2:10.1.5-5055683-5low869633
open-vm-toolssourcejessie(not affected)
open-vm-toolssourcestretch2:10.1.5-5055683-4+deb9u1low
open-vm-toolssourcewheezy(not affected)

Notes

[jessie] - open-vm-tools <not-affected> (Vulnerable code not present)
[wheezy] - open-vm-tools <not-affected> (Vulnerable code not present)
9.10.x: https://github.com/vmware/open-vm-tools/commit/c1304ce8bfd9c0c33999e496bf7049d5c3d45821
10.0.x: https://github.com/vmware/open-vm-tools/commit/b3068b04880eda4ca3e13f2d34fb8ce336ad1a4f
10.1.x: https://github.com/vmware/open-vm-tools/commit/22e58289f71232310d30cf162b83b5151a937bac

Search for package or bug name: Reporting problems